com.genesyslab.wfm8.API.service.calendar810

## Class CalData

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalData

- All Implemented Interfaces:
    java.io.Serializable

      public class CalData
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CfgAgentHolder` | `agentHolder` Organization (agent(s), team(s), site(s)) configuration information related to Calendar items
    `protected java.util.List<CalDataIndicator>` | `indicators` Contains dates for which Calendar items exist
    `protected int` | `indicatorsArraySize` Indicator array size
    `protected java.util.List<CalItemInformation>` | `information` Calendar item information array contains items from requested period and target (agent filter)
    `protected int` | `informationArraySize` Calendar item information array size
    `private static long` | `serialVersionUID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalData()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `CfgAgentHolder` | `getAgentHolder()` Gets the agentHolder value for this CalData.
    `java.util.List<CalDataIndicator>` | `getIndicators()` Gets the indicators value for this CalData.
    `int` | `getIndicatorsArraySize()` Gets the indicatorsArraySize value for this CalData.
    `java.util.List<CalItemInformation>` | `getInformation()` Gets the information value for this CalData.
    `int` | `getInformationArraySize()` Gets the informationArraySize value for this CalData.
    `int` | `hashCode()`
    `void` | `setAgentHolder(CfgAgentHolder agentHolder)` Sets the agentHolder value for this CalData.
    `void` | `setIndicators(java.util.List<CalDataIndicator> indicators)` Sets the indicators value for this CalData.
    `void` | `setIndicatorsArraySize(int indicatorsArraySize)` Sets the indicatorsArraySize value for this CalData.
    `void` | `setInformation(java.util.List<CalItemInformation> information)` Sets the information value for this CalData.
    `void` | `setInformationArraySize(int informationArraySize)` Sets the informationArraySize value for this CalData.
    `java.lang.String` | `toString()`
    `CalData` | `withAgentHolder(CfgAgentHolder value)`
    `CalData` | `withIndicators(CalDataIndicator... values)`
    `CalData` | `withIndicators(java.util.Collection<CalDataIndicator> values)`
    `CalData` | `withIndicatorsArraySize(int value)`
    `CalData` | `withInformation(CalItemInformation... values)`
    `CalData` | `withInformation(java.util.Collection<CalItemInformation> values)`
    `CalData` | `withInformationArraySize(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### informationArraySize

          protected int informationArraySize

      Calendar item information array size

    - #### information

          protected java.util.List<CalItemInformation> information

      Calendar item information array contains items from requested period and target (agent filter)

    - #### indicatorsArraySize

          protected int indicatorsArraySize

      Indicator array size

    - #### indicators

          protected java.util.List<CalDataIndicator> indicators

      Contains dates for which Calendar items exist

    - #### agentHolder

          protected CfgAgentHolder agentHolder

      Organization (agent(s), team(s), site(s)) configuration information related to Calendar items

  - ### Constructor Detail

    - #### CalData

          public CalData()

  - ### Method Detail

    - #### getInformationArraySize

          public int getInformationArraySize()

      Gets the informationArraySize value for this CalData.
      Returns:
        informationArraySize Calendar items information array size

    - #### setInformationArraySize

          public void setInformationArraySize(int informationArraySize)

      Sets the informationArraySize value for this CalData.
      Parameters:
        `informationArraySize` - Calendar items information array size

    - #### getInformation

          public java.util.List<CalItemInformation> getInformation()

      Gets the information value for this CalData.
      Returns:
        information Calendar items information

    - #### setInformation

          public void setInformation(java.util.List<CalItemInformation> information)

      Sets the information value for this CalData.
      Parameters:
        `information` - Calendar items information

    - #### getIndicatorsArraySize

          public int getIndicatorsArraySize()

      Gets the indicatorsArraySize value for this CalData.
      Returns:
        indicatorsArraySize Indicator array size

    - #### setIndicatorsArraySize

          public void setIndicatorsArraySize(int indicatorsArraySize)

      Sets the indicatorsArraySize value for this CalData.
      Parameters:
        `indicatorsArraySize` - Indicator array size

    - #### getIndicators

          public java.util.List<CalDataIndicator> getIndicators()

      Gets the indicators value for this CalData.
      Returns:
        indicators Data indicators

    - #### setIndicators

          public void setIndicators(java.util.List<CalDataIndicator> indicators)

      Sets the indicators value for this CalData.
      Parameters:
        `indicators` - Data indicators

    - #### getAgentHolder

          public CfgAgentHolder getAgentHolder()

      Gets the agentHolder value for this CalData.
      Returns:
        agentHolder Configuration information related to Calendar items

    - #### setAgentHolder

          public void setAgentHolder(CfgAgentHolder agentHolder)

      Sets the agentHolder value for this CalData.
      Parameters:
        `agentHolder` - Configuration information related to Calendar items

    - #### withIndicators

          public CalData withIndicators(java.util.Collection<CalDataIndicator> values)

    - #### withIndicators

          public CalData withIndicators(CalDataIndicator... values)

    - #### withIndicatorsArraySize

          public CalData withIndicatorsArraySize(int value)

    - #### withInformation

          public CalData withInformation(java.util.Collection<CalItemInformation> values)

    - #### withInformation

          public CalData withInformation(CalItemInformation... values)

    - #### withInformationArraySize

          public CalData withInformationArraySize(int value)

    - #### withAgentHolder

          public CalData withAgentHolder(CfgAgentHolder value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.